Test (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer

## Class Test

- java.lang.Object
- - org.gcube.messaging.common.consumer.Test

- All Implemented Interfaces:
    Serializable

      public class Test
      extends Object
      implements Serializable

  Class that Models a Test
  Author:
    Andrea Manzi(CERN)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Test()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` get the description
    `Integer` | `getTestNumber()` get the test number
    `String` | `getType()` get the type
    `void` | `setDescription(String description)` set the description
    `void` | `setTestNumber(Integer testNumber)` set the test number
    `void` | `setType(String type)` set the type
    `String` | `toString()` to string

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Test

          public Test()

  - ### Method Detail

    - #### getTestNumber

          public Integer getTestNumber()

      get the test number
      Returns:
        the test number

    - #### setTestNumber

          public void setTestNumber(Integer testNumber)

      set the test number
      Parameters:
        `testNumber` - the test number

    - #### getType

          public String getType()

      get the type
      Returns:
        the type

    - #### setType

          public void setType(String type)

      set the type
      Parameters:
        `type` - the type

    - #### getDescription

          public String getDescription()

      get the description
      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      set the description
      Parameters:
        `description` - the description

    - #### toString

          public String toString()

      to string
      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.